Data Fields

# arm_iir_lattice_instance_f32 Struct Reference

Instance structure for the floating-point IIR lattice filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numStages
float32_t * | pState
float32_t * | pkCoeffs
float32_t * | pvCoeffs

## Detailed Description

Instance structure for the floating-point IIR lattice filter.

Definition at line 3776 of file arm_math.h.

## Field Documentation

uint16_t arm_iir_lattice_instance_f32::numStages

number of stages in the filter.

Definition at line 3778 of file arm_math.h.

float32_t* arm_iir_lattice_instance_f32::pState

points to the state variable array. The array is of length numStages+blockSize.

Definition at line 3779 of file arm_math.h.

float32_t* arm_iir_lattice_instance_f32::pkCoeffs

points to the reflection coefficient array. The array is of length numStages.

Definition at line 3780 of file arm_math.h.

float32_t* arm_iir_lattice_instance_f32::pvCoeffs

points to the ladder coefficient array. The array is of length numStages+1.

Definition at line 3781 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines